<?php
/**
 * Name: SW Mega Menu
 * Description: A widget that serves as an slider for developing more advanced widgets.
 */

class sw_mega_menu_widget extends WP_Widget {
	function __construct(){
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'sw_mega_menu', 'description' => __('Sw Mega Menu', 'himarket') );

		/* Widget control settings. */
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'sw_mega_menu' );

		/* Create the widget. */
		parent::__construct( 'sw_mega_menu', __( 'Sw Mega Menu widget', 'himarket' ), $widget_ops, $control_ops );
		
		/* Create Shortcode */
		add_shortcode( 'megamenu', array( $this, 'MN_Shortcode' ) );
		
		/* Create Vc_map */
		if (class_exists('Vc_Manager')) {
			add_action( 'vc_before_init', array( $this, 'MN_integrateWithVC' ) );
		}
	}
	
	/**
		* Add Vc Params
	**/
	function MN_integrateWithVC(){
		vc_map( array(
		  "name" => __( "Sw Mega Menu", 'himarket' ),
		  "base" => "megamenu",
		  "icon" => "icon-wpb-ytc",
		  "class" => "",
		  "category" => __( "SW Core", 'himarket'),
		  "params" => array(
			 array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => __( "Title", 'himarket' ),
				"param_name" => "title",
				"value" => '',
				"description" => __( "Title", 'himarket' )
			 ),
			 array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => __( "Menu class", 'himarket' ),
				"param_name" => "menu_class",
				"value" => "",
				"description" => __( "Class of menu", 'himarket' )
			 ),
		  )
	   ) );
	}
	/**
		** Add Shortcode
	**/
	function MN_Shortcode( $atts, $content = null ){
		extract( shortcode_atts(
			array(
				'title' => '',
				'menu_class' => "",
			), $atts )
		);
		ob_start();		
	
		include( 'includes/default.php' );
		
		$content = ob_get_clean();
		
		return $content;
	}
	
}
?>