<?php
$lib_dir = trailingslashit( str_replace( '\\', '/', get_template_directory() . '/lib/' ) );

if( !defined('HIMARKET_DIR') ){
	define( 'HIMARKET_DIR', $lib_dir );
}

if( !defined('HIMARKET_URL') ){
	define( 'HIMARKET_URL', trailingslashit( get_template_directory_uri() ) . '/lib/' );
}

if( !defined('HIMARKET_OPTIONS_URL') ){
	define( 'HIMARKET_OPTIONS_URL', trailingslashit( get_template_directory_uri() ) . 'lib/options/' ); 
}

defined('HIMARKET_THEME') or die;

if (!isset($content_width)) { $content_width = 940; }

define("HIMARKET_PRODUCT_TYPE","product");
define("HIMARKET_PRODUCT_DETAIL_TYPE","product_detail");

require_once( get_template_directory().'/lib/options.php' );
function Himarket_Options_Setup(){
	global $himarket_options, $options, $options_args;

	$options = array();
	$options[] = array(
			'title' => esc_html__('تنظیمات عمومی', 'himarket'),
			'desc' => wp_kses( __('<p class="description">The theme allows to build your own styles right out of the backend without any coding knowledge. Start your own color scheme by selecting one of 4 predefined schemes. Upload new logo and favicon or get their URL.</p>', 'himarket'), array( 'p' => array( 'class' => array() ) ) ),
			//all the glyphicons are included in the options folder, so you can hook into them, or link to your own custom ones.
			//You dont have to though, leave it blank for default.
			'icon' => HIMARKET_URL.'/options/img/glyphicons/glyphicons_019_cogwheel.png',
			//Lets leave this as a blank section, no options just some intro text set above.
			'fields' => array(
					array(
							'id' => 'scheme',
							'type' => 'radio_img',
							'title' => esc_html__('رنگ مورد علاقه', 'himarket'),
							'sub_desc' => esc_html__( 'Select one of 7 predefined schemes', 'himarket' ),
							'desc' => '',
							'options' => array(
											'default' => array('title' => 'Default', 'img' => get_template_directory_uri().'/assets/img/default.png'),
											'green' => array('title' => 'Green', 'img' => get_template_directory_uri().'/assets/img/green.png'),
											'red' => array('title' => 'Red', 'img' => get_template_directory_uri().'/assets/img/red.png'),
											'yellow' => array('title' => 'Yellow', 'img' => get_template_directory_uri().'/assets/img/yellow.png'),
											'orange' => array('title' => 'Orange', 'img' => get_template_directory_uri().'/assets/img/orange.png'),
											'red2' => array('title' => 'Red 2', 'img' => get_template_directory_uri().'/assets/img/red2.png'),
											'green2' => array('title' => 'Green 2', 'img' => get_template_directory_uri().'/assets/img/green2.png'),
											),//Must provide key => value(array:title|img) pairs for radio options
							'std' => 'default'
						),

					array(
							'id' => 'favicon',
							'type' => 'upload',
							'title' => esc_html__('Favicon Icon', 'himarket'),
							'sub_desc' => esc_html__( 'Use the Upload button to upload the new favicon and get URL of the favicon. To config Favicon in WordPress 4.3 upward, please go to Appearance -> Customize', 'himarket' ),
							'std' => get_template_directory_uri().'/assets/img/favicon.ico'
						),
					array(
							'id' => 'sitelogo',
							'type' => 'upload',
							'title' => esc_html__('Logo Image', 'himarket'),
							'sub_desc' => esc_html__( 'Use the Upload button to upload the new logo and get URL of the logo', 'himarket' ),
							'std' => ''
						),
						array(
						'id' => 'bg_breadcrumb',
						'type' => 'upload',
						'title' => esc_html__('Breadcrumb Background', 'himarket'),
						'sub_desc' => esc_html__( 'Use upload button to upload custom background for breadcrumb.', 'himarket' ),
						'std' => ''
					),
				)
		);

	$options[] = array(
			'title' => esc_html__('تنظیمات طراحی', 'himarket'),
			'desc' => wp_kses( __('<p class="description">Himarket Framework comes with a layout setting that allows you to build any number of stunning layouts and apply theme to your entries.</p>', 'himarket'), array( 'p' => array( 'class' => array() ) ) ),
			//all the glyphicons are included in the options folder, so you can hook into them, or link to your own custom ones.
			//You dont have to though, leave it blank for default.
			'icon' => HIMARKET_URL.'/options/img/glyphicons/glyphicons_319_sort.png',
			//Lets leave this as a blank section, no options just some intro text set above.
			'fields' => array(
					array(
								'id' => 'layout',
								'type' => 'select',
								'title' => esc_html__('Box Layout', 'himarket'),
								'sub_desc' => esc_html__( 'Select Layout Box or Wide', 'himarket' ),
								'options' => array(
										'full' => esc_html__( 'Wide', 'himarket' ),
										'boxed' => esc_html__( 'Boxed', 'himarket' )
										),
								'std' => 'wide'
							),
					
					array(
							'id' => 'bg_box_img',
							'type' => 'upload',
							'title' => esc_html__('Background Box Image', 'himarket'),
							'sub_desc' => '',
							'std' => ''
						),
					array(
							'id' => 'sidebar_left_expand',
							'type' => 'select',
							'title' => esc_html__('Left Sidebar Expand', 'himarket'),
							'options' => array(
									'2' => '2/12',
									'3' => '3/12',
									'4' => '4/12',
									'5' => '5/12', 
									'6' => '6/12',
									'7' => '7/12',
									'8' => '8/12',
									'9' => '9/12',
									'10' => '10/12',
									'11' => '11/12',
									'12' => '12/12'
								),
							'std' => '3',
							'sub_desc' => esc_html__( 'Select width of left sidebar.', 'himarket' ),
						),
					
					array(
							'id' => 'sidebar_right_expand',
							'type' => 'select',
							'title' => esc_html__('Right Sidebar Expand', 'himarket'),
							'options' => array(
									'2' => '2/12',
									'3' => '3/12',
									'4' => '4/12',
									'5' => '5/12',
									'6' => '6/12',
									'7' => '7/12',
									'8' => '8/12',
									'9' => '9/12',
									'10' => '10/12',
									'11' => '11/12',
									'12' => '12/12'
								),
							'std' => '3',
							'sub_desc' => esc_html__( 'Select width of right sidebar medium desktop.', 'himarket' ),
						),
						array(
							'id' => 'sidebar_left_expand_md',
							'type' => 'select',
							'title' => esc_html__('Left Sidebar Medium Desktop Expand', 'himarket'),
							'options' => array(
									'2' => '2/12',
									'3' => '3/12',
									'4' => '4/12',
									'5' => '5/12',
									'6' => '6/12',
									'7' => '7/12',
									'8' => '8/12',
									'9' => '9/12',
									'10' => '10/12',
									'11' => '11/12',
									'12' => '12/12'
								),
							'std' => '4',
							'sub_desc' => esc_html__( 'Select width of left sidebar medium desktop.', 'himarket' ),
						),
					array(
							'id' => 'sidebar_right_expand_md',
							'type' => 'select',
							'title' => esc_html__('Right Sidebar Medium Desktop Expand', 'himarket'),
							'options' => array(
									'2' => '2/12',
									'3' => '3/12',
									'4' => '4/12',
									'5' => '5/12',
									'6' => '6/12',
									'7' => '7/12',
									'8' => '8/12',
									'9' => '9/12',
									'10' => '10/12',
									'11' => '11/12',
									'12' => '12/12'
								),
							'std' => '4',
							'sub_desc' => esc_html__( 'Select width of right sidebar.', 'himarket' ),
						),
						array(
							'id' => 'sidebar_left_expand_sm',
							'type' => 'select',
							'title' => esc_html__('Left Sidebar Tablet Expand', 'himarket'),
							'options' => array(
									'2' => '2/12',
									'3' => '3/12',
									'4' => '4/12',
									'5' => '5/12',
									'6' => '6/12',
									'7' => '7/12',
									'8' => '8/12',
									'9' => '9/12',
									'10' => '10/12',
									'11' => '11/12',
									'12' => '12/12'
								),
							'std' => '4',
							'sub_desc' => esc_html__( 'Select width of left sidebar tablet.', 'himarket' ),
						),
					array(
							'id' => 'sidebar_right_expand_sm',
							'type' => 'select',
							'title' => esc_html__('Right Sidebar Tablet Expand', 'himarket'),
							'options' => array(
									'2' => '2/12',
									'3' => '3/12',
									'4' => '4/12',
									'5' => '5/12',
									'6' => '6/12',
									'7' => '7/12',
									'8' => '8/12',
									'9' => '9/12',
									'10' => '10/12',
									'11' => '11/12',
									'12' => '12/12'
								),
							'std' => '4',
							'sub_desc' => esc_html__( 'Select width of right sidebar tablet.', 'himarket' ),
						),				
				)
		);
	$options[] = array(
		'title' => esc_html__('تنظیمات هدر و فوتر', 'himarket'),
			'desc' => wp_kses( __('<p class="description">Himarket Framework comes with a header and footer setting that allows you to build style header.</p>', 'himarket'), array( 'p' => array( 'class' => array() ) ) ),
			//all the glyphicons are included in the options folder, so you can hook into them, or link to your own custom ones.
			//You dont have to though, leave it blank for default.
			'icon' => HIMARKET_URL.'/options/img/glyphicons/glyphicons_336_read_it_later.png',
			//Lets leave this as a blank section, no options just some intro text set above.
			'fields' => array(
				 array(
							'id' => 'header_style',
							'type' => 'select',
							'title' => esc_html__('Header Style', 'himarket'),
							'sub_desc' => esc_html__( 'Select Header style', 'himarket' ),
							'options' => array(
									'default'  => esc_html__( 'Default', 'himarket' ),
									'style1'  => esc_html__( 'Style 1', 'himarket' ),
									'style2'  => esc_html__( 'Style 2', 'himarket' ),
									'style3'  => esc_html__( 'Style 3', 'himarket' ),
									'style4'  => esc_html__( 'Style 4', 'himarket' )							
									),
							'std' => 'default'
						),
				 array(
							'id' => 'footer_style',
							'type' => 'select',
							'title' => esc_html__('Footer Style', 'himarket'),
							'sub_desc' => esc_html__( 'Select Footer style', 'himarket' ),
							'options' => array(
							'default' => esc_html__( 'Default', 'himarket' ),
							'style1'  => esc_html__( 'Style 1', 'himarket' ),
							'style2'  => esc_html__( 'Style 2', 'himarket' ),  
							'style3'  => esc_html__( 'Style 3', 'himarket' ),
							'style4'  => esc_html__( 'Style 4', 'himarket' )                
							),
							'std' => 'default'
				),
				 array(
							'id' => 'phone_number',
							'type' => 'text',
							'sub_desc' => esc_html__( 'Enter my phone', 'himarket' ),
							'title' => esc_html__( 'My Phone.', 'himarket' ),
							'std' => ''
						),
				array(
							'id' => 'email',
							'type' => 'text',
							'title' => esc_html__('Email', 'himarket'),
							'sub_desc' => esc_html__( 'Fill here your email to be displayed in header.', 'himarket' ),
							'std' => ''
						),
				 array(
					'id' => 'hot_deals',
					'type' => 'pages_select',
					'title' => esc_html__('Select Page On Menu', 'himarket'),
					'sub_desc' => esc_html__( 'Select a page show on menu', 'himarket' ),
					'std' => ''
				),
				array(
					'id' => 'footer_copyright',
					'type' => 'editor',
					'sub_desc' => '',
					'title' => esc_html__( 'Copyright text', 'himarket' )
				),
				
			)
	);
	$options[] = array(
			'title' => esc_html__('تنظیمات ناوبری', 'himarket'),
			'desc' => wp_kses( __('<p class="description">If you got a big site with a lot of sub menus we recommend using a mega menu. Just select the dropbox to display a menu as mega menu or dropdown menu.</p>', 'himarket'), array( 'p' => array( 'class' => array() ) ) ),
			//all the glyphicons are included in the options folder, so you can hook into them, or link to your own custom ones.
			//You dont have to though, leave it blank for default.
			'icon' => HIMARKET_URL.'/options/img/glyphicons/glyphicons_157_show_lines.png',
			//Lets leave this as a blank section, no options just some intro text set above.
			'fields' => array(
				array(
						'id' => 'menu_type',
						'type' => 'select',
						'title' => esc_html__('نوع منو', 'himarket'),
						'options' => array( 'dropdown' => 'منوی کشویی', 'mega' => 'مگا منو' ),
						'std' => 'mega'
					),
				array(
						'id' => 'menu_location',
						'type' => 'menu_location_multi_select',
						'title' => esc_html__('Theme Location', 'himarket'),
						'sub_desc' => esc_html__( 'Select theme location to active mega menu and menu responsive.', 'himarket' ),
						'std' => 'primary_menu'
					),				
				array(
						'id' => 'sticky_menu',
						'type' => 'checkbox',
						'title' => esc_html__('منوی فعال چسبنده', 'himarket'),
						'sub_desc' => '',
						'desc' => '',
						'std' => '0'// 1 = on | 0 = off
					),	
			)
		);
	$options[] = array(
		'title' => esc_html__('تنظیمات وبلاگ', 'himarket'),
		'desc' => wp_kses( __('<p class="description">Select layout in blog listing page.</p>', 'himarket'), array( 'p' => array( 'class' => array() ) ) ),
		//all the glyphicons are included in the options folder, so you can hook into them, or link to your own custom ones.
		//You dont have to though, leave it blank for default.
		'icon' => HIMARKET_URL.'/options/img/glyphicons/glyphicons_319_sort.png',
		//Lets leave this as a blank section, no options just some intro text set above.
		'fields' => array(
				array(
						'id' => 'sidebar_blog',
						'type' => 'select',
						'title' => esc_html__( 'Sidebar Blog Layout', 'himarket' ),
						'options' => array(
								'full' => esc_html__( 'Full Layout', 'himarket' ),		
								'left_sidebar'	=> esc_html__( 'Left Sidebar', 'himarket' ),
								'right_sidebar' => esc_html__( 'Right Sidebar', 'himarket' ),
								 'lr_sidebar'   => esc_html__( 'Left Right Sidebar', 'himarket' )						
						),
						'std' => 'left_sidebar',
						'sub_desc' => esc_html__( 'Select style sidebar blog', 'himarket' ),
					),
					array(
						'id' => 'blog_layout',
						'type' => 'select',
						'title' => esc_html__('Layout blog', 'himarket'),
						'options' => array(
								'list'	=>  esc_html__( 'List Layout', 'himarket' ),
								'grid' =>  esc_html__( 'Grid Layout', 'himarket' )								
						),
						'std' => 'list',
						'sub_desc' => esc_html__( 'Select style layout blog', 'himarket' ),
					),
					array(
						'id' => 'blog_column',
						'type' => 'select',
						'title' => esc_html__('Blog column', 'himarket'),
						'options' => array(								
								'2' => '2 columns',
								'3' => '3 columns',
								'4' => '4 columns'								
							),
						'std' => '2',
						'sub_desc' => esc_html__( 'Select style number column blog', 'himarket' ),
					),
			)
	);	
	$options[] = array(
		'title' => esc_html__('تنظیمات محصولات', 'himarket'),
		'desc' => wp_kses( __('<p class="description">Select layout in product listing page.</p>', 'himarket'), array( 'p' => array( 'class' => array() ) ) ),
		//all the glyphicons are included in the options folder, so you can hook into them, or link to your own custom ones.
		//You dont have to though, leave it blank for default.
		'icon' => HIMARKET_URL.'/options/img/glyphicons/glyphicons_319_sort.png',
		//Lets leave this as a blank section, no options just some intro text set above.
		'fields' => array(
			array(
				'id' => 'product_col_large',
				'type' => 'select',
				'title' => esc_html__('Product Listing column Desktop', 'himarket'),
				'options' => array(
						'2' => '2',
						'3' => '3',
						'4' => '4',							
					),
				'std' => '4',
				'sub_desc' => esc_html__( 'Select number of column on Desktop Screen', 'himarket' ),
			),
			array(
				'id' => 'product_col_medium',
				'type' => 'select',
				'title' => esc_html__('Product Listing column Medium Desktop', 'himarket'),
				'options' => array(
						'2' => '2',
						'3' => '3',
						'4' => '4',							
					),
				'std' => '3',
				'sub_desc' => esc_html__( 'Select number of column on Medium Desktop Screen', 'himarket' ),
			),
			array(
				'id' => 'product_col_sm',
				'type' => 'select',
				'title' => esc_html__('Product Listing column Tablet', 'himarket'),
				'options' => array(
						'2' => '2',
						'3' => '3',
						'4' => '4',							
					),
				'std' => '2',
				'sub_desc' => esc_html__( 'Select number of column on Tablet Screen', 'himarket' ),
			),
			array(
					'id' => 'sidebar_product',
					'type' => 'select',
					'title' => esc_html__( 'Sidebar Product Layout', 'himarket' ),
					'options' => array(
							'left'	=> esc_html__( 'Left Sidebar', 'himarket' ),
							'full' =>  esc_html__( 'Full Layout', 'himarket' ),		
							'right' => esc_html__( 'Right Sidebar', 'himarket' ),				
					),
					'std' => 'left',
					'sub_desc' => esc_html__( 'Select style sidebar product', 'himarket' ),
				),
			array(
				'id' => 'product_quickview',
				'title' => esc_html__( 'مشاهده سریع', 'himarket' ),
				'type' => 'checkbox',
				'sub_desc' => '',
				'desc' => esc_html__( 'Turn On/Off Product Quickview', 'himarket' ),
				'std' => '1'
			),
			array(
				'id' => 'product_zoom',
				'title' => esc_html__( 'Product Zoom', 'himarket' ),
				'type' => 'checkbox',
				'sub_desc' => '',
				'desc' => esc_html__( 'Turn On/Off image zoom when hover on single product', 'himarket' ),
				'std' => '1'
			),
			array(
				'id' => 'product_number',
				'type' => 'text',
				'title' => esc_html__('Product Listing Number', 'himarket'),
				'sub_desc' => esc_html__( 'Show number of product in listing product page.', 'himarket' ),
				'std' => 12
			),
		)
);		
	$options[] = array(
			'title' => esc_html__('تنظیمات طراحی', 'himarket'),
			'desc' => wp_kses( __('<p class="description">Change the font style of your blog, custom with Google Font.</p>', 'himarket'), array( 'p' => array( 'class' => array() ) ) ),
			//all the glyphicons are included in the options folder, so you can hook into them, or link to your own custom ones.
			//You dont have to though, leave it blank for default.
			'icon' => HIMARKET_URL.'/options/img/glyphicons/glyphicons_151_edit.png',
			//Lets leave this as a blank section, no options just some intro text set above.
			'fields' => array(
					array(
							'id' => 'google_webfonts',
							'type' => 'text',
							'title' => esc_html__('Use Google Webfont', 'himarket'),
							'sub_desc' => esc_html__( 'Insert font style that you actually need on your webpage.', 'himarket' ), 
							'std' => ''
						),
					array(
							'id' => 'webfonts_weight',
							'type' => 'multi_select',
							'sub_desc' => esc_html__( 'For weight, see Google Fonts to custom for each font style.', 'himarket' ),
							'title' => esc_html__('Webfont Weight', 'himarket'),
							'options' => array(
									'100' => '100',
									'200' => '200',
									'300' => '300',
									'400' => '400',
									'500' => '500',
									'600' => '600',
									'700' => '700',
									'800' => '800',
									'900' => '900'
								),
							'std' => ''
						),
					array(
							'id' => 'webfonts_assign',
							'type' => 'select',
							'title' => esc_html__( 'Webfont Assign to', 'himarket' ),
							'sub_desc' => esc_html__( 'Select the place will apply the font style headers, every where or custom.', 'himarket' ),
							'options' => array(
									'headers' => esc_html__( 'Headers',    'himarket' ),
									'all'     => esc_html__( 'Everywhere', 'himarket' ),
									'custom'  => esc_html__( 'Custom',     'himarket' )
								)
						),
					 array(
							'id' => 'webfonts_custom',
							'type' => 'text',
							'sub_desc' => esc_html__( 'Insert the places will be custom here, after selected custom Webfont assign.', 'himarket' ),
							'title' => esc_html__( 'Webfont Custom Selector', 'himarket' )
						),
				)
		);
		
	$options[] = array(
		'title' => esc_html__('حالت تعمیر و نگهداری', 'himarket'),
		'desc' => wp_kses( __('<p class="description">Enable and config for Maintaincece mode.</p>', 'himarket'), array( 'p' => array( 'class' => array() ) ) ),
		//all the glyphicons are included in the options folder, so you can hook into them, or link to your own custom ones.
		//You dont have to though, leave it himarket for default.
		'icon' => HIMARKET_URL.'/options/img/glyphicons/glyphicons_083_random.png',
		//Lets leave this as a himarket section, no options just some intro text set above.
		'fields' => array(
				array(
					'id' => 'maintaince_enable',
					'title' => esc_html__( 'Enable Maintaincece Mode', 'himarket' ),
					'type' => 'checkbox',
					'sub_desc' => esc_html__( 'Turn on/off Maintaince mode on this website', 'himarket' ),
					'desc' => '',
					'std' => '0'
				),
				
				array(
					'id' => 'maintaince_background',
					'title' => esc_html__( 'Maintaince Background', 'himarket' ),
					'type' => 'upload',
					'sub_desc' => esc_html__( 'Choose maintance background image', 'himarket' ),
					'desc' => '',
					'std' => get_template_directory_uri().'/assets/img/maintaince/bg-main.jpg'
				),
				
				array(
					'id' => 'maintaince_content',
					'title' => esc_html__( 'Maintaince Content', 'himarket' ),
					'type' => 'editor',
					'sub_desc' => esc_html__( 'Change text of maintaince mode', 'himarket' ),
					'desc' => '',
					'std' => ''
				),
				
				array(
					'id' => 'maintaince_date',
					'title' => esc_html__( 'Maintaince Date', 'himarket' ),
					'type' => 'date',
					'sub_desc' => esc_html__( 'Put date to this field to show countdown date on maintaince mode.', 'himarket' ),
					'desc' => '',
					'placeholder' => 'mm/dd/yy',
					'std' => ''
				),
				
				array(
					'id' => 'maintaince_form',
					'title' => esc_html__( 'Maintaince Form', 'himarket' ),
					'type' => 'text',
					'sub_desc' => esc_html__( 'Put shortcode form to this field and it will be shown on maintaince mode frontend.', 'himarket' ),
					'desc' => '',
					'std' => ''
				),
				
			)
	);
	
	$options[] = array(
			'title' => esc_html__('تنظیمات پیشرفته', 'himarket'),
			'desc' => wp_kses( __('<p class="description">Custom advanced with Cpanel, Widget advanced, Developer mode </p>', 'himarket'), array( 'p' => array( 'class' => array() ) ) ),
			//all the glyphicons are included in the options folder, so you can hook into them, or link to your own custom ones.
			//You dont have to though, leave it blank for default.
			'icon' => HIMARKET_URL.'/options/img/glyphicons/glyphicons_083_random.png',
			//Lets leave this as a blank section, no options just some intro text set above.
			'fields' => array(
					array(
							'id' => 'show_cpanel',
							'title' => esc_html__( 'Show cPanel', 'himarket' ),
							'type' => 'checkbox',
							'sub_desc' => esc_html__( 'Turn on/off Cpanel', 'himarket' ),
							'desc' => '',
							'std' => ''
						),
					array(
							'id' => 'widget-advanced',
							'title' => esc_html__('Widget Advanced', 'himarket'),
							'type' => 'checkbox',
							'sub_desc' => esc_html__( 'Turn on/off Widget Advanced', 'himarket' ),
							'desc' => '',
							'std' => '1'
						),
					array(
							'id' => 'developer_mode',
							'title' => esc_html__( 'Developer Mode', 'himarket' ),
							'type' => 'checkbox',
							'sub_desc' => esc_html__( 'Turn on/off preset', 'himarket' ),
							'desc' => '',
							'std' => '0'
						),
					array(
							'id' => 'back_active',
							'type' => 'checkbox',
							'title' => esc_html__('Back to top', 'himarket'),
							'sub_desc' => '',
							'desc' => '',
							'std' => '1'// 1 = on | 0 = off
							),	
					array(
							'id' => 'preload_active',
							'type' => 'checkbox',
							'title' => esc_html__('Active preload', 'himarket'),
							'sub_desc' => esc_html__( 'Active preloading for theme', 'himarket' ),
							'desc' => '',
							'std' => '1'// 1 = on | 0 = off
							),
					array(
							'id' => 'preload_active_page',
							'type' => 'pages_multi_select',
							'title' => esc_html__('Preload Active Page(s)', 'himarket'),
							'sub_desc' => esc_html__( 'Select page(s) to active preload.', 'himarket' ),
							'desc' => '',
							),						
					array(
							'id' => 'direction',
							'type' => 'select',
							'title' => esc_html__('Direction', 'himarket'),
							'options' => array( 'ltr' => esc_html__( 'Left to Right', 'himarket' ), 'rtl' => esc_html__( 'Right to Left', 'himarket' ) ),
							'std' => 'ltr'
						),
					array(
							'id' => 'popup_active',
							'type' => 'checkbox',
							'title' => esc_html__('Active Popup Subscribe', 'himarket'),
							'sub_desc' => esc_html__( 'Check to active popup subscribe', 'himarket' ),
							'desc' => '',
							'std' => '0'// 1 = on | 0 = off
							),	
					array(
							'id' => 'popup_shortcode',
							'type' => 'textarea',
							'sub_desc' => esc_html__( 'Insert the popup shortcode here', 'himarket' ),
							'title' => esc_html__( 'Popup Shortcode', 'himarket' )
						),
					array(
							'id' => 'advanced_head',
							'type' => 'textarea',
							'sub_desc' => esc_html__( 'Insert your own CSS into this block. This overrides all default styles located throughout the theme', 'himarket' ),
							'title' => esc_html__( 'Custom CSS/JS', 'himarket' )
						)
				)
		);

	$options_args = array();

	//Setup custom links in the footer for share icons
	$options_args['share_icons']['facebook'] = array(
			'link' => esc_url( 'https://www.facebook.com/flytheme' ),
			'title' => esc_html__( 'Facebook', 'himarket' ),
			'img' => esc_url( HIMARKET_URL.'/options/img/glyphicons/glyphicons_320_facebook.png' )
	);
	$options_args['share_icons']['twitter'] = array(
			'link' => esc_url( 'https://twitter.com/flytheme' ),
			'title' => esc_html__( 'Folow me on Twitter', 'himarket' ),
			'img' => esc_url( HIMARKET_URL.'/options/img/glyphicons/glyphicons_322_twitter.png' )
	);
	$options_args['share_icons']['linked_in'] = array(
			'link' => esc_url( 'https://www.linkedin.com/in/flytheme' ),
			'title' => esc_html__( 'Find me on LinkedIn', 'himarket' ),
			'img' => esc_url( HIMARKET_URL.'/options/img/glyphicons/glyphicons_337_linked_in.png' )
	);

	//Choose a custom option name for your theme options, the default is the theme name in lowercase with spaces replaced by underscores
	$options_args['opt_name'] = HIMARKET_THEME;

	$options_args['google_api_key'] = '';//must be defined for use with google webfonts field type

	//Custom menu title for options page - default is "Options"
	$options_args['menu_title'] = esc_html__('Theme Options', 'himarket');

	//Custom Page Title for options page - default is "Options"
	$options_args['page_title'] = esc_html__('Himarket Options ', 'himarket') . wp_get_theme()->get('Name');

	//Custom page slug for options page (wp-admin/themes.php?page=***) - default is "himarket_theme_options"
	$options_args['page_slug'] = 'himarket_theme_options';

	//page type - "menu" (adds a top menu section) or "submenu" (adds a submenu) - default is set to "menu"
	$options_args['page_type'] = 'submenu';

	//custom page location - default 100 - must be unique or will override other items
	$options_args['page_position'] = 27;
	$himarket_options = new HIMARKET_Options($options, $options_args);
}
add_action( 'admin_init', 'Himarket_Options_Setup', 0 );
Himarket_Options_Setup();

function himarket_widget_setup_args(){
	$himarket_widget_areas = array(
		
		array(
				'name' => esc_html__('Sidebar Left Blog', 'himarket'),
				'id'   => 'left-blog',
				'before_widget' => '<div class="widget %1$s %2$s"><div class="widget-inner">',
				'after_widget' => '</div></div>',
				'before_title' => '<div class="block-title-widget"><h2><span>',
				'after_title' => '</span></h2></div>'
		),
		array(
				'name' => esc_html__('Sidebar Right Blog', 'himarket'),
				'id'   => 'right-blog',
				'before_widget' => '<div class="widget %1$s %2$s"><div class="widget-inner">',
				'after_widget' => '</div></div>',
				'before_title' => '<div class="block-title-widget"><h2><span>',
				'after_title' => '</span></h2></div>'
		),
		
		array(
				'name' => esc_html__('Top', 'himarket'),
				'id'   => 'top',
				'before_widget' => '<div class="widget %1$s %2$s"><div class="widget-inner">',
				'after_widget'  => '</div></div>',
				'before_title'  => '<h3>',
				'after_title'   => '</h3>'
		),
		array(
				'name' => esc_html__('Top Sidebar Left Header 2', 'himarket'),
				'id'   => 'top-sidebar-left-header-2',
				'before_widget' => '<div class="widget %1$s %2$s"><div class="widget-inner">',
				'after_widget'  => '</div></div>',
				'before_title'  => '<h3>',
				'after_title'   => '</h3>'
		),
		array(
				'name' => esc_html__('Top Sidebar Right Header 2', 'himarket'),
				'id'   => 'top-sidebar-right-header-2',
				'before_widget' => '<div class="widget %1$s %2$s"><div class="widget-inner">',
				'after_widget'  => '</div></div>',
				'before_title'  => '<h3>',
				'after_title'   => '</h3>'
		),
		
		array(
				'name' => esc_html__('Sidebar Bottom Detail Product', 'himarket'),
				'id'   => 'bottom-detail-product',
				'before_widget' => '<div class="widget %1$s %2$s" data-scroll-reveal="enter bottom move 20px wait 0.2s"><div class="widget-inner">',
				'after_widget'  => '</div></div>',
				'before_title'  => '<h3>',
				'after_title'   => '</h3>'
		),
		
		
		array(
				'name' => esc_html__('Sidebar Left Product', 'himarket'),
				'id'   => 'left-product',
				'before_widget' => '<div class="widget %1$s %2$s"><div class="widget-inner">',
				'after_widget' => '</div></div>',
				'before_title' => '<div class="block-title-widget"><h2><span>',
				'after_title' => '</span></h2></div>'
		),
		
		array(
				'name' => esc_html__('Sidebar Right Product', 'himarket'),
				'id'   => 'right-product',
				'before_widget' => '<div class="widget %1$s %2$s"><div class="widget-inner">',
				'after_widget' => '</div></div>',
				'before_title' => '<div class="block-title-widget"><h2><span>',
				'after_title' => '</span></h2></div>'
		),
		
		array(
				'name' => esc_html__('Above Footer', 'himarket'),
				'id'   => 'above-footer',
				'before_widget' => '<div class="widget %1$s %2$s"><div class="widget-inner">',
				'after_widget'  => '</div></div>',
				'before_title'  => '<h3>',
				'after_title'   => '</h3>'
		),
		array(
				'name' => esc_html__('Above Footer 2', 'himarket'),
				'id'   => 'above-footer-2',
				'before_widget' => '<div class="widget %1$s %2$s"><div class="widget-inner">',
				'after_widget'  => '</div></div>',
				'before_title'  => '<h3>',
				'after_title'   => '</h3>'
		),
		array(
				'name' => esc_html__('Footer', 'himarket'),
				'id'   => 'footer',
				'before_widget' => '<div class="widget %1$s %2$s"><div class="widget-inner">',
				'after_widget'  => '</div></div>',
				'before_title'  => '<h3>',
				'after_title'   => '</h3>'
		),
		array(
				'name' => esc_html__('Footer index5', 'himarket'),
				'id'   => 'footer-index5',
				'before_widget' => '<div class="widget %1$s %2$s"><div class="widget-inner">',
				'after_widget'  => '</div></div>',
				'before_title'  => '<h3>',
				'after_title'   => '</h3>'
		),
		array(
				'name' => esc_html__('Footer Bottom Style 2', 'himarket'),
				'id'   => 'footer-bottom',
				'before_widget' => '<div class="widget %1$s %2$s"><div class="widget-inner">',
				'after_widget'  => '</div></div>',
				'before_title'  => '<h3>',
				'after_title'   => '</h3>'
		),
		array(
				'name' => esc_html__('Footer Copyright', 'himarket'),
				'id'   => 'footer-copyright',
				'before_widget' => '<div class="widget %1$s %2$s"><div class="widget-inner">',
				'after_widget'  => '</div></div>',
				'before_title'  => '<h3>',
				'after_title'   => '</h3>'
		),
		array(
				'name' => esc_html__('Footer Copyright Style 2', 'himarket'),
				'id'   => 'footer-copyright-style2',
				'before_widget' => '<div class="widget %1$s %2$s"><div class="widget-inner">',
				'after_widget'  => '</div></div>',
				'before_title'  => '<h3>',
				'after_title'   => '</h3>'
		)
	);
	return $himarket_widget_areas;
}
