<?php
/**
 * himarket initial setup and constants
 */
 
if (!isset($content_width)) { $content_width = 940; }

function himarket_setup() {
	// Make theme available for translation
	load_theme_textdomain('himarket', get_template_directory() . '/lang');

	// Register wp_nav_menu() menus (http://codex.wordpress.org/Function_Reference/register_nav_menus)
	register_nav_menus(array(
		'leftmenu' => esc_html__('Vertical Menu', 'himarket'),
		'primary_menu' => esc_html__('Primary Menu', 'himarket'),
	));
	
	add_theme_support('bootstrap-gallery');     // Enable Bootstrap's thumbnails component on [gallery]

	
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'wc-product-gallery-lightbox' );
	if( himarket_options()->getCpanelValue( 'product_zoom' ) ) :
		add_theme_support( 'wc-product-gallery-zoom' );
		add_theme_support( 'wc-product-gallery-slider' );
	endif;
		
	add_theme_support( "title-tag" );
	
	// Add post thumbnails (http://codex.wordpress.org/Post_Thumbnails)
	add_theme_support('post-thumbnails');

	// Add post formats (http://codex.wordpress.org/Post_Formats)
	add_theme_support('post-formats', array('aside', 'gallery', 'link', 'image', 'quote', 'status', 'video', 'audio', 'chat'));
	
	// Custom image header
	$himarket_header_arr = array(
		'default-image' => get_template_directory_uri().'/assets/img/logo-default.png',
		'uploads'       => true
	);
	add_theme_support( 'custom-header', $himarket_header_arr );
	
	// Custom Background 
	$himarket_bgarr = array(
		'default-color' => 'ffffff',
		'default-image' => '',
	);
	add_theme_support( 'custom-background', $himarket_bgarr );
	
	// Tell the TinyMCE editor to use a custom stylesheet
	add_editor_style('/assets/css/editor-style.css');
		
	new HIMARKET_Menu();
}
add_action('after_setup_theme', 'himarket_setup');

