<?php
/**
 * Enqueue scripts and stylesheets
 *
 */

function himarket_scripts() {	
	$scheme = himarket_options()->getCpanelValue('scheme');
	if ($scheme){
		$app_css = get_template_directory_uri() . '/css/app-'.$scheme.'.css';
	} else {
		$app_css = get_template_directory_uri() . '/css/app-default.css';
	}

	wp_register_style('bootstrap', get_template_directory_uri() . '/css/bootstrap.min.css', array(), null);
	wp_register_style('rtl_css', get_template_directory_uri() . '/css/rtl.css', array(), null);
	wp_register_style('himarket_css', $app_css, array(), null);
	 wp_register_style('respslider_css', get_template_directory_uri() . '/css/slick.css', array(), null);
	wp_register_style('lightbox_css', get_template_directory_uri() . '/css/jquery.fancybox.css', array(), null);
	wp_register_style('animate_css', get_template_directory_uri() . '/css/animate.css', array(), null);
	wp_register_style('himarket_responsive_css', get_template_directory_uri() . '/css/app-responsive.css', array('himarket_css'), null);
	
	/* register script */

	wp_register_script('modernizr', get_template_directory_uri() . '/js/modernizr-2.6.2.min.js', false, null, false);
	wp_register_script('bootstrap_js', get_template_directory_uri() . '/js/bootstrap.min.js', array('jquery'), null, true);
	wp_register_script('gallery_load_js', get_template_directory_uri() . '/js/load-image.min.js', array('bootstrap_js'), null, true);
	wp_register_script('bootstrap_gallery_js', get_template_directory_uri() . '/js/bootstrap-image-gallery.min.js', array('gallery_load_js'), null, true);
	wp_register_script('plugins_js', get_template_directory_uri() . '/js/plugins.js', array('jquery'), null, true);	
	wp_register_script('lightbox_js', get_template_directory_uri() . '/js/jquery.fancybox.pack.js', array('jquery'), null, true);
	wp_register_script('slick_slider_js',get_template_directory_uri().'/js/slick.min.js',array(),null,true);
	wp_register_script('isotope_script', get_template_directory_uri() . '/js/isotope.js', array(), null, true);
	wp_register_script('quantity_js', get_template_directory_uri() . '/js/wc-quantity-increment.min.js', array('jquery'), null, true);
	wp_register_script('megamenu_js', get_template_directory_uri() . '/js/megamenu.js', array(), null, true);
	
	wp_register_script('himarket_js', get_template_directory_uri() . '/js/main.js', array('bootstrap_js', 'plugins_js'), null, true);

	
	
	/* enqueue script & style */
	if ( !is_admin() ){			
		wp_dequeue_style('yith-wcwl-font-awesome');
		wp_dequeue_style('tabcontent_styles');
		wp_enqueue_style('bootstrap');	
		if( is_rtl() || himarket_options()->getCpanelValue('direction') == 'rtl' ){
			wp_enqueue_style('rtl_css');
		}
		wp_enqueue_script('lightbox_js');
		wp_enqueue_style('slick_css');
		wp_enqueue_style('lightbox_css');
		wp_enqueue_style('himarket_css');	
		wp_enqueue_style('animate_css');		
		wp_enqueue_script('slick_slider_js');
		wp_enqueue_script('isotope_script');
		wp_enqueue_script('cloud-zoom');
		wp_enqueue_script('number_js');
		wp_enqueue_script('quantity_js');
	    wp_enqueue_style('himarket_responsive_css');
	
		/* Load style.css from child theme */
		if (is_child_theme()) {
			wp_enqueue_style('himarket_child_css', get_stylesheet_uri(), false, null);
		}
	}
	if (is_single() && comments_open() && get_option('thread_comments')) {
		wp_enqueue_script('comment-reply');
	}		
	
	$is_category = is_category() && !is_category('blog');
	if ( !is_admin() ){
		wp_enqueue_script('modernizr');
		wp_enqueue_script('himarket_js');
	}
	
	/*
	** Maintaince Mode
	*/
	if( !is_user_logged_in() && himarket_options()->getCpanelValue('maintaince_enable') ){ 
		$output = '';
		$countdown = himarket_options()->getCpanelValue('maintaince_date');
		if( $countdown != '' ):
			$output .= 'jQuery(function($){
			"use strict";
			function himarket_check_height(){
				var W_height = $( window ).height();
				if( W_height > 767) {
					setTimeout(function(){
						var cm_height = $( window ).height();
						var cm_target = $( "body > .body-wrapper" );
						cm_target.css( "height", cm_height );
					}, 1000);
				}
			}
			$(window).on( "load", function(){
				himarket_check_height();
			});
				$(document).ready(function(){ 
					var end_date = new Date( "'. esc_js( $countdown ) .'" ).getTime()/1000;
					$("#countdown-container").ClassyCountdown({
						theme: "white", 
						end: end_date, 
						now: $.now()/1000,
						labelsOptions: {
							lang: {
							days: "Days",
							hours: "Hours",
							minutes: "Mins",
							seconds: "Secs"
							},
							style: "font-size: 0.5em;"
						},
					});
				});
			});';
		endif;
		wp_enqueue_style('countdown_css', get_template_directory_uri() . '/css/jquery.classycountdown.min.css', array(), null);
		wp_enqueue_style('maintaince_css', get_template_directory_uri() . '/css/style-maintaince.css', array(), null);
		wp_register_script('countdown',get_template_directory_uri(). '/js/maintaince/jquery.classycountdown.min.js', array(), null, true);
		wp_enqueue_script( 'knob', get_template_directory_uri(). '/js/maintaince/jquery.knob.js', array(), null, true);	
		wp_enqueue_script( 'throttle',get_template_directory_uri() . '/js/maintaince/jquery.throttle.js', array(), null, true);	
		wp_enqueue_script( 'countdown' );
		wp_add_inline_script( 'countdown', $output );
	}
	
	if( himarket_options()-> getCpanelValue( 'effect_active' ) == 1 ){ 
		if( is_home() || is_front_page() ){
			wp_enqueue_script('scroll_js');
		}
	}
	if( himarket_options()-> getCpanelValue( 'menu_type' ) == 'mega' ){
		wp_enqueue_script('megamenu_js');	
	}
	$preload_page = himarket_options()->getCpanelValue( 'preload_active_page' );
	$page_id = get_the_ID();
	if( 1 == himarket_options()->getCpanelValue( 'preload_active' ) &&( is_array( $preload_page ) && in_array( $page_id, $preload_page ) ) ){
		wp_enqueue_script('preload_script', get_template_directory_uri() . '/js/pathLoader.js', array(), null, true);
	}
}
add_action('wp_enqueue_scripts', 'himarket_scripts', 100);
