<?php
	wp_reset_postdata();
	$number    		= isset( $instance['numberposts'] ) ? intval($instance['numberposts']) : 5;
	if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
	
	global $product, $post, $woocommerce_loop,$wp_query;
	$related = $product->get_related( $number );
	if ( sizeof( $related ) == 0 ) return;
	$args = apply_filters( 'woocommerce_related_products_args', array(
		'post_type'            => 'product',
		'ignore_sticky_posts'  => 1,
		'no_found_rows'        => 1,
		'posts_per_page'       => $number,
		'post__in'             => $related,
		'post__not_in'         => array( $post->ID )
	) );
	$num_post  = count($related);
	$relate = new WP_Query( $args );
	if ($relate->have_posts()) :
	
?>
<div class="top-tab-slider">
	<div class="order-title">
	<?php
		$titles = strpos($title, ' ');
		$title1 = ($titles !== false) ? '<span>' . substr($title, 0, $titles) . '</span>' .' '. substr($title, $titles + 1): $title ;
		echo '<h2><strong>'. $title1 .'</strong></h2>';
	?>
	</div>
</div>
	<div id="<?php echo $widget_id; ?>" class="sw-related-product" >
		<div class="inner">
			<?php 
			while ($relate->have_posts()) : $relate->the_post();
			global $product, $post, $wpdb, $average;
			$count = $wpdb->get_var($wpdb->prepare("
				SELECT COUNT(meta_value) FROM $wpdb->commentmeta
				LEFT JOIN $wpdb->comments ON $wpdb->commentmeta.comment_id = $wpdb->comments.comment_ID
				WHERE meta_key = 'rating'
				AND comment_post_ID = %d
				AND comment_approved = '1'
				AND meta_value > 0
			",$post->ID));

			$rating = $wpdb->get_var($wpdb->prepare("
				SELECT SUM(meta_value) FROM $wpdb->commentmeta
				LEFT JOIN $wpdb->comments ON $wpdb->commentmeta.comment_id = $wpdb->comments.comment_ID
				WHERE meta_key = 'rating'
				AND comment_post_ID = %d
				AND comment_approved = '1'
			",$post->ID));
			
			?>
			<div class="item ">
			
				<div class="item-detail">
					<div class="item-img">
						<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute();?>">
							<?php if( has_post_thumbnail() ){  
								echo (get_the_post_thumbnail( $relate->post->ID, 'shop_thumbnail')) ? get_the_post_thumbnail( $relate->post->ID, 'shop_thumbnail' ) : '<img src="'.get_template_directory_uri().'/assets/img/placeholder/shop_thumbnail.png" alt="No thumb"/>' ;
							}else{ 
								echo '<img src="'.get_template_directory_uri().'/assets/img/placeholder/shop_thumbnail.png" alt="No thumb"/>' ;
							} ?>
						</a>
					</div>
					<div class="item-content">
						<h4><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute();?>"><?php the_title(); ?></a></h4>
						<?php
							if( $count > 0 ){
								$average = number_format($rating / $count, 1);
						?>
							<div class="star"><span style="width: <?php echo ($average*14).'px'; ?>"></span></div>
							
						<?php } else { ?>
						
							<div class="star"></div>
							
						<?php } ?>
						<div class="item-price">
					       <span><?php echo $product->get_price_html(); ?></span>
					    </div>
					</div>
				</div>
			 </div>
			<?php endwhile; ?>
		</div>
	</div>
			<?php
	endif;
	wp_reset_postdata();
?>